# class Syck::SpecialHash

YAML Hash class to support comments and defaults

### Attributes

default[RW]

### Public Instance Methods

inspect() click to toggle source

    # File lib/syck/types.rb, line 62
    def inspect
        self.default.to_s
    end

to_s() click to toggle source

    # File lib/syck/types.rb, line 65
    def to_s
        self.default.to_s
    end

to_yaml( opts = {} ) click to toggle source
Calls superclass method Hash#to_yaml

    # File lib/syck/types.rb, line 74
    def to_yaml( opts = {} )
        opts[:DefaultKey] = self.default
        super( opts )
    end

update( h ) click to toggle source
Calls superclass method

    # File lib/syck/types.rb, line 68
    def update( h )
        if ::Syck::SpecialHash === h
            @default = h.default if h.default
        end
        super( h )
    end